# $Revision: 1.9 $, $Date: 2008/12/14 11:10:58 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Set
%define	pnam	Infinite
Summary:	Set::Infinite - Sets of intervals
Summary(pl.UTF-8):	Set::Infinite - zbiory przedziałów
Name:		perl-Set-Infinite
Version:	0.63
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8c573e00f3152db222de08b104b74c31
URL:		http://search.cpan.org/dist/Set-Infinite/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set::Infinite is a Set Theory module for infinite sets.

A set is a collection of objects. The objects that belong to a set are
called its members, or "elements".

As objects we allow (almost) anything: reals, integers, and objects
(such as dates).

We allow sets to be infinite.

There is no account for the order of elements. For example, {1,2} =
{2,1}.

%description -l pl.UTF-8
Set::Infinite to moduł teorii zbiorów dla zbiorów nieskończonych.

Zbiór to kolekcja obiektów. Obiekty należące do zbioru są nazywane
jego elementami.

Jako obiekty dopuszczone jest (prawie) wszystko: liczby rzeczywiste,
całkowite i obiekty (takie jak daty).

Ten moduł dopuszcza zbiory nieskończone.

Nie ma porządku elementów. Na przykład {1,2} = {2,1}.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Set/*.pm
%{perl_vendorlib}/Set/Infinite
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Set-Infinite.spec,v $
Revision 1.9  2008/12/14 11:10:58  agaran
- up to 0.63, rel 1

Revision 1.8  2008/07/27 22:47:16  arekm
- release 4

Revision 1.7  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.5  2006/08/22 17:51:01  glen
- drop rpm hack (thx ankry); rel 3

Revision 1.4  2006/08/22 15:54:51  glen
- more

Revision 1.3  2006/08/22 15:45:19  glen
- ugly rpmver hack, rel 2

Revision 1.2  2006/08/20 12:21:05  qboosh
- pl

Revision 1.1  2006/08/12 16:16:07  migo
- initial revision
